﻿.text-box::-ms-clear {
  display: none;
  width: 0;
  height: 0;
}

input[type="checkbox"],
input[type="radio"],
select,
label {
  cursor: pointer;
}

.checkout-overlay-block {
  background-color: #aaa;
  opacity: 0.5;
  margin: 0;
  padding: 0;
  position: fixed;
  top: 0px;
  left: 0px;
  width: 100%;
  height: 100%;
}

#busyDiv {
  margin: 0;
  padding: 0;
  position: fixed;
  top: 0px;
  left: 0px;
  width: 100px;
  height: 100px;
}

.cp-spinner {
  width: 48px;
  height: 48px;
  display: inline-block;
  box-sizing: border-box;
  position: relative;
}

.cp-round:before {
  border-radius: 50%;
  content: " ";
  width: 48px;
  height: 48px;
  display: inline-block;
  box-sizing: border-box;
  border-top: solid 6px #bababa;
  border-right: solid 6px #bababa;
  border-bottom: solid 6px #bababa;
  border-left: solid 6px #bababa;
  position: absolute;
  top: 0;
  left: 0;
}

.cp-round:after {
  border-radius: 50%;
  content: " ";
  width: 48px;
  height: 48px;
  display: inline-block;
  box-sizing: border-box;
  border-top: solid 6px #f56151;
  border-right: solid 6px transparent;
  border-bottom: solid 6px transparent;
  border-left: solid 6px transparent;
  position: absolute;
  top: 0;
  left: 0;
  animation: cp-round-animate 1s ease-in-out infinite;
}

@keyframes cp-round-animate {
  0% {
    transform: rotate(0);
  }

  100% {
    transform: rotate(360deg);
  }
}

.progress-track {
  display: table;
  list-style-type: none;
  margin: 0;
  padding: 2em 0 1em;
  table-layout: fixed;
  width: 100%;
}

.progress-track li {
  display: table-cell;
  line-height: 3em;
  position: relative;
  text-align: center;
}

.icon-wrap {
  border-radius: 50%;
  top: -1.5em;
  display: block;
  height: 2.5em;
  margin: 0 auto -2em;
  left: 0;
  right: 0;
  position: absolute;
  width: 2.5em;
  text-align: center;
}

.progress-done,
.progress-current {
  transition: border-color 1s ease-in-out;
  -webkit-transition: border-color 1s ease-in-out;
  -moz-transition: border-color 1s ease-in-out;
}

.progress-done .icon-wrap span {
  width: 25px;
  height: 25px;
  background: url(/images/progress-done.svg) no-repeat;
  display: block;
  margin: 10px auto 0;
}

.progress-current .icon-wrap {
  border-radius: 50%;
}

.progress-current .icon-wrap span {
  width: 25px;
  height: 25px;
  background: url(/images/progress-current.svg) no-repeat;
  display: block;
  margin: 10px auto 0;
}

.progress-text {
  display: block;
  line-height: 1.3em;
  padding-top: 2em;
}

.progress-todo .icon-wrap {
  border-radius: 50%;
  bottom: 1.5em;
  display: block;
  height: 2.5em;
  margin: 0 auto -2em;
  width: 2.5em;
}

#payment-form {
  width: 100%;
  align-self: center;
  box-shadow: 0px 0px 0px 0.5px rgba(50, 50, 93, 0.1),
    0px 2px 5px 0px rgba(50, 50, 93, 0.1), 0px 1px 1.5px 0px rgba(0, 0, 0, 0.07);
  border-radius: 7px;
  padding: 40px;
  margin-top: 40px;
}
@media screen and (max-width: 450px) {
  #payment-form {
    padding: 2px;
  }
}

#payment-form input {
  border-radius: 6px;
  margin-bottom: 6px;
  padding: 12px;
  border: 1px solid rgba(50, 50, 93, 0.1);
  height: 44px;
  font-size: 16px;
  width: 100%;
  background: white;
}

.result-message {
  line-height: 22px;
  font-size: 16px;
}

.result-message a {
  color: rgb(89, 111, 214);
  font-weight: 600;
  text-decoration: none;
}

.hidden {
  display: none;
}

#card-error {
  color: rgb(255, 0, 0);
  text-align: left;
  font-size: 15px;
  line-height: 17px;
  margin-top: 12px;
  font-weight:bold;
}

#card-element {
  border-radius: 4px 4px 0 0;
  padding: 12px;
  border: 1px solid rgba(50, 50, 93, 0.1);
  height: 44px;
  width: 100%;
  background: white;
}

#payment-request-button {
  margin-bottom: 32px;
}

/* Buttons and links */
#payment-form button {
  border-radius: 0 0 4px 4px;
  border: 0;
  padding: 12px 16px;
  cursor: pointer;
  display: block;
  transition: all 0.2s ease;
  margin: 20px auto;
}

#payment-form button:hover {
  filter: contrast(115%);
}
#payment-form button:disabled {
  opacity: 0.5;
  cursor: default;
}

/* spinner/processing state, errors */
.spinner,
.spinner:before,
.spinner:after {
    border-radius: 50%;
}

.spinner {
  color: #ffffff;
  font-size: 22px;
  text-indent: -99999px;
  margin: 0px auto;
  position: relative;
  width: 20px;
  height: 20px;
  box-shadow: inset 0 0 0 2px;
  -webkit-transform: translateZ(0);
  -ms-transform: translateZ(0);
  transform: translateZ(0);
}

.spinner:before,
.spinner:after {
  position: absolute;
  content: "";
}

.spinner:before {
  width: 10.4px;
  height: 20.4px;
  background: #5469d4;
  border-radius: 20.4px 0 0 20.4px;
  top: -0.2px;
  left: -0.2px;
  -webkit-transform-origin: 10.4px 10.2px;
  transform-origin: 10.4px 10.2px;
  -webkit-animation: loading 2s infinite ease 1.5s;
  animation: loading 2s infinite ease 1.5s;
}

.spinner:after {
  width: 10.4px;
  height: 10.2px;
  background: #5469d4;
  border-radius: 0 10.2px 10.2px 0;
  top: -0.1px;
  left: 10.2px;
  -webkit-transform-origin: 0px 10.2px;
  transform-origin: 0px 10.2px;
  -webkit-animation: loading 2s infinite ease;
  animation: loading 2s infinite ease;
}

@-webkit-keyframes loading {
  0% {
    -webkit-transform: rotate(0deg);
    transform: rotate(0deg);
  }

  100% {
    -webkit-transform: rotate(360deg);
    transform: rotate(360deg);
  }
}

@keyframes loading {
  0% {
    -webkit-transform: rotate(0deg);
    transform: rotate(0deg);
  }

  100% {
    -webkit-transform: rotate(360deg);
    transform: rotate(360deg);
  }
}

@media only screen and (max-width: 600px) {
  form {
    width: 80vw;
  }
}
div.required > label > span {
    color:orangered;
}

.margin-centered {
    margin-left:auto;
    margin-right:auto;
}